ProjectFields

Project fields represent the schema for a project in the context of the company of the authorized user. Each company can have a different schema for their projects, with various custom fields.

Get all project fields

Copy link

Returns metadata about all project fields in the company.

Endpoint is in beta

Cost

10

Request
GET

/api/v2/projectFields

Query parameters

limit

integer

For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. Please note that a maximum value of 500 is allowed.

cursor

string

For pagination, the marker (an opaque string value) representing the first item on the next page

Response
200

OK

Expand all
Copy code
    • true
    • [ ... ]
      • { ... }

      Get one project field

      Copy link

      Returns metadata about a specific project field.

      Endpoint is in beta

      Cost

      1

      Request
      GET

      /api/v2/projectFields/{field_code}

      Path parameters

      field_code

      string

      required

      The unique code identifying the field

      Response
      200

      OK

      Expand all
      Copy code
        • true
        • { ... }

        Create one project field

        Copy link

        Creates a new project custom field.

        Endpoint is in beta

        Cost

        5

        Request
        POST

        /api/v2/projectFields

        Body parameters

        application/json

        field_name

        string

        required

        Field name

        field_type

        string

        required

        The type of the field

        ValueDescription
        varcharText (up to 255 characters)
        varchar_autoAutocomplete text (up to 255 characters)
        textLong text (up to 65k characters)
        doubleNumeric value
        monetaryMonetary field (has a numeric value and a currency value)
        dateDate (format YYYY-MM-DD)
        setOptions field with a possibility of having multiple chosen options
        enumOptions field with a single possible chosen option
        userUser field (contains a user ID of another Pipedrive user)
        orgOrganization field (contains an organization ID which is stored on the same account)
        peoplePerson field (contains a person ID which is stored on the same account)
        phonePhone field (up to 255 numbers and/or characters)
        timeTime field (format HH:MM:SS)
        timerangeTime-range field (has a start time and end time value, both HH:MM:SS)
        daterangeDate-range field (has a start date and end date value, both YYYY-MM-DD)
        addressAddress field

        Values

        varchar

        text

        double

        phone

        date

        daterange

        time

        timerange

        set

        enum

        varchar_auto

        address

        monetary

        org

        people

        user

        options

        array

        Field options (required for enum and set field types)

        label

        string

        required

        The option label

        ui_visibility

        object

        UI visibility settings for the field. Controls where the field appears in the Pipedrive web UI.

        add_visible_flag

        boolean

        Whether the field is shown in the add project modal. Default is false.

        details_visible_flag

        boolean

        Whether the field is shown in the project details view. Default is true.

        Default

        true

        important_fields

        object

        Configuration for highlighting the field at specific stages.

        enabled

        boolean

        Whether the field is marked as important. When false, the field is not highlighted. When true with empty stage_ids, the field is important everywhere. When true with specific stage_ids, the field is important only at those deal stages. Default is false.

        stage_ids

        array

        Array of deal stage IDs where this project field should be highlighted as important. Must reference valid, active deal stages. Empty array when enabled is false.

        Default

        required_fields

        object

        Required fields configuration for marking the field as mandatory when interacted with in the Pipedrive web UI.

        enabled

        boolean

        Whether the field is required. When false, the field is optional. When true, the field is required when creating or updating projects. Default is false.

        Response
        200

        OK

        Expand all
        Copy code
          • true
          • { ... }

          Add project field options in bulk

          Copy link

          Adds new options to a project custom field that supports options (enum or set field types). This operation is atomic - all options are added or none are added. Returns only the newly added options.

          Endpoint is in beta

          Cost

          5

          Request
          POST

          /api/v2/projectFields/{field_code}/options

          Path parameters

          field_code

          string

          required

          The unique code identifying the field

          Body parameters

          application/json

          [ ]

          array

          Array of options to add. Each item must contain a label. At least one option is required.

          label

          string

          required

          The display label for the new option

          Response
          200

          OK

          Expand all
          Copy code
            • true
            • [ ... ]
              • null

            Update one project field

            Copy link

            Updates a project custom field. The field_code and field_type cannot be changed. At least one field must be provided in the request body.

            Endpoint is in beta

            Cost

            5

            Request
            PATCH

            /api/v2/projectFields/{field_code}

            Path parameters

            field_code

            string

            required

            The unique code identifying the field

            Body parameters

            application/json

            field_name

            string

            Field name

            ui_visibility

            object

            UI visibility settings for the field. Controls where the field appears in the Pipedrive web UI.

            add_visible_flag

            boolean

            Whether the field is shown in the add project modal. Default is false.

            details_visible_flag

            boolean

            Whether the field is shown in the project details view. Default is true.

            Default

            true

            important_fields

            object

            Configuration for highlighting the field at specific stages.

            enabled

            boolean

            Whether the field is marked as important. When false, the field is not highlighted. When true with empty stage_ids, the field is important everywhere. When true with specific stage_ids, the field is important only at those deal stages. Default is false.

            stage_ids

            array

            Array of deal stage IDs where this project field should be highlighted as important. Must reference valid, active deal stages. Empty array when enabled is false.

            Default

            required_fields

            object

            Required fields configuration for marking the field as mandatory when interacted with in the Pipedrive web UI.

            enabled

            boolean

            Whether the field is required. When false, the field is optional. When true, the field is required when creating or updating projects. Default is false.

            Response
            200

            OK

            Expand all
            Copy code
              • true
              • { ... }

              Update project field options in bulk

              Copy link

              Updates existing options for a project custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the updated options.

              Endpoint is in beta

              Cost

              5

              Request
              PATCH

              /api/v2/projectFields/{field_code}/options

              Path parameters

              field_code

              string

              required

              The unique code identifying the field

              Body parameters

              application/json

              [ ]

              array

              Array of options to update. Each item must contain an ID and the updated label. At least one option is required. The entire request fails if any option does not exist.

              id

              integer

              required

              The unique identifier of the option to update

              label

              string

              required

              The new display label for the option

              Response
              200

              OK

              Expand all
              Copy code
                • true
                • [ ... ]
                  • null

                Delete one project field

                Copy link

                Marks a custom field as deleted.

                Endpoint is in beta

                Cost

                3

                Request
                DELETE

                /api/v2/projectFields/{field_code}

                Path parameters

                field_code

                string

                required

                The unique code identifying the field

                Response
                200

                OK

                Expand all
                Copy code
                  • true
                  • { ... }

                  Delete project field options in bulk

                  Copy link

                  Removes existing options from a project custom field. This operation is atomic and fails if any of the specified option IDs do not exist. Returns only the deleted options.

                  Endpoint is in beta

                  Cost

                  3

                  Request
                  DELETE

                  /api/v2/projectFields/{field_code}/options

                  Path parameters

                  field_code

                  string

                  required

                  The unique code identifying the field

                  Body parameters

                  application/json

                  [ ]

                  array

                  Array of option IDs to delete. Each item must contain an ID of the option to delete. At least one option ID is required. The entire request fails if any option does not exist.

                  id

                  integer

                  required

                  The unique identifier of the option to delete

                  Response
                  200

                  OK

                  Expand all
                  Copy code
                    • true
                    • [ ... ]
                      • null

                    Subscribe to Pipedrive’s Developer Newsletter